Package org.drinkless.tdlib

# Class TdApi.SearchChatMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundChatMessages>
org.drinkless.tdlib.TdApi.SearchChatMessages

Enclosing class:
  `TdApi`

public static class TdApi.SearchChatMessages extends TdApi.Function<TdApi.FoundChatMessages>
Searches for messages with given words in the chat. Returns the results in reverse chronological order, i.e. in order of decreasing messageId. Cannot be used in secret chats with a non-empty query (searchSecretMessages must be used instead), or without an enabled message database. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit. A combination of query, senderId, filter and topicId search criteria is expected to be supported, only if it is required for Telegram official application implementation.

Returns `FoundChatMessages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat in which to search messages.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SearchMessagesFilter`
  `filter`
  Additional filter for messages to search; pass null to search for all messages.
  `long`
  `fromMessageId`
  Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
  `int`
  `limit`
  The maximum number of messages to be returned; must be positive and can't be greater than 100.
  `int`
  `offset`
  Specify 0 to get results from exactly the message fromMessageId or a negative number to get the specified message and some newer messages.
  `String`
  `query`
  Query to search for.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of messages to search for; pass null to search for messages from any sender.
  `TdApi.MessageTopic`
  `topicId`
  Pass topic identifier to search messages only in specific topic; pass null to search for messages in all topics.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchChatMessages()`
  Default constructor for a function, which searches for messages with given words in the chat.
  `SearchChatMessages(long chatId, TdApi.MessageTopic topicId, String query, TdApi.MessageSender senderId, long fromMessageId, int offset, int limit, TdApi.SearchMessagesFilter filter)`
  Creates a function, which searches for messages with given words in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat in which to search messages.

  - ### topicId

    public TdApi.MessageTopic topicId
    Pass topic identifier to search messages only in specific topic; pass null to search for messages in all topics.

  - ### query

    public String query
    Query to search for.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the sender of messages to search for; pass null to search for messages from any sender. Not supported in secret chats.

  - ### fromMessageId

    public long fromMessageId
    Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.

  - ### offset

    public int offset
    Specify 0 to get results from exactly the message fromMessageId or a negative number to get the specified message and some newer messages.

  - ### limit

    public int limit
    The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, then the limit must be greater than -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

  - ### filter

    public TdApi.SearchMessagesFilter filter
    Additional filter for messages to search; pass null to search for all messages.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchChatMessages

    public SearchChatMessages()
    Default constructor for a function, which searches for messages with given words in the chat. Returns the results in reverse chronological order, i.e. in order of decreasing messageId. Cannot be used in secret chats with a non-empty query (searchSecretMessages must be used instead), or without an enabled message database. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit. A combination of query, senderId, filter and topicId search criteria is expected to be supported, only if it is required for Telegram official application implementation.

    Returns `FoundChatMessages`

  - ### SearchChatMessages

    public SearchChatMessages(long chatId, TdApi.MessageTopic topicId, String query, TdApi.MessageSender senderId, long fromMessageId, int offset, int limit, TdApi.SearchMessagesFilter filter)
    Creates a function, which searches for messages with given words in the chat. Returns the results in reverse chronological order, i.e. in order of decreasing messageId. Cannot be used in secret chats with a non-empty query (searchSecretMessages must be used instead), or without an enabled message database. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit. A combination of query, senderId, filter and topicId search criteria is expected to be supported, only if it is required for Telegram official application implementation.

    Returns `FoundChatMessages`

    Parameters:
      `chatId` - Identifier of the chat in which to search messages.
      `topicId` - Pass topic identifier to search messages only in specific topic; pass null to search for messages in all topics.
      `query` - Query to search for.
      `senderId` - Identifier of the sender of messages to search for; pass null to search for messages from any sender. Not supported in secret chats.
      `fromMessageId` - Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
      `offset` - Specify 0 to get results from exactly the message fromMessageId or a negative number to get the specified message and some newer messages.
      `limit` - The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, then the limit must be greater than -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
      `filter` - Additional filter for messages to search; pass null to search for all messages.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundChatMessages>`
    Returns:
      this.CONSTRUCTOR